net.minecraft.world.chunk

## Interface IChunkProvider

- All Known Implementing Classes:
    ChunkProviderClient, ChunkProviderEnd, ChunkProviderFlat, ChunkProviderGenerate, ChunkProviderHell, ChunkProviderServer

      public interface IChunkProvider

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `canSave()`
    `boolean` | `chunkExists(int var1, int var2)`
    `ChunkPosition` | `func_147416_a(World var1, java.lang.String var2, int var3, int var4, int var5)`
    `int` | `getLoadedChunkCount()`
    `java.util.List` | `getPossibleCreatures(EnumCreatureType var1, int var2, int var3, int var4)`
    `Chunk` | `loadChunk(int var1, int var2)`
    `java.lang.String` | `makeString()`
    `void` | `populate(IChunkProvider var1, int var2, int var3)`
    `Chunk` | `provideChunk(int var1, int var2)`
    `void` | `recreateStructures(int var1, int var2)`
    `boolean` | `saveChunks(boolean var1, IProgressUpdate var2)`
    `void` | `saveExtraData()`
    `boolean` | `unloadQueuedChunks()`

- - ### Method Detail

    - #### chunkExists

          boolean chunkExists(int var1,
                            int var2)

    - #### provideChunk

          Chunk provideChunk(int var1,
                           int var2)

    - #### loadChunk

          Chunk loadChunk(int var1,
                        int var2)

    - #### populate

          void populate(IChunkProvider var1,
                      int var2,
                      int var3)

    - #### saveChunks

          boolean saveChunks(boolean var1,
                           IProgressUpdate var2)

    - #### unloadQueuedChunks

          boolean unloadQueuedChunks()

    - #### canSave

          boolean canSave()

    - #### makeString

          java.lang.String makeString()

    - #### getPossibleCreatures

          java.util.List getPossibleCreatures(EnumCreatureType var1,
                                            int var2,
                                            int var3,
                                            int var4)

    - #### func_147416_a

          ChunkPosition func_147416_a(World var1,
                                    java.lang.String var2,
                                    int var3,
                                    int var4,
                                    int var5)

    - #### getLoadedChunkCount

          int getLoadedChunkCount()

    - #### recreateStructures

          void recreateStructures(int var1,
                                int var2)

    - #### saveExtraData

          void saveExtraData()